Bug 466547 - Gtk-CRITICAL: gtk_style_detach, gtk_widget_hide, gtk_widget_destroy assertions
Gtk-CRITICAL: gtk_style_detach, gtk_widget_hide, gtk_widget_destroy assertions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nspluginwrapper (Show other bugs)
5.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 16:27 EDT by Ben Levenson
Modified: 2010-03-30 03:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 03:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2008-10-10 16:27:30 EDT
Description of problem:
Launch firefox from the command line.  Everything works, but the following 
messages are displayed in the console.

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_style_detach: assertion `style->attach_count > 0' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_hide: assertion `GTK_IS_WIDGET (widget)' failed

(npviewer.bin:7082): Gtk-CRITICAL **: gtk_widget_destroy: assertion `GTK_IS_WIDGET (widget)' failed
*** NSPlugin Wrapper *** ERROR: NPP_Destroy() wait for reply: Message timeout

Version-Release number of selected component (if applicable):
firefox-3.0.2-3.el5.i386
firefox-3.0.2-3.el5.x86_64
xulrunner-1.9.0.2-5.el5.i386
xulrunner-1.9.0.2-5.el5.x86_64
nspluginwrapper-0.9.91.5-22.el5.i386
nspluginwrapper-0.9.91.5-22.el5.x86_64
Comment 1 D. Wagner 2008-10-13 23:31:14 EDT
I too see similar error messages.

I can reproduce them deterministically.  Let me know if you need any further information.  If you would like a stack backtrace, please remind me how to capture a stack backtrace on assertion failure (in gdb, is there a symbol that I can set a breakpoint on to capture the stack trace at time of assertion failure?).

I've got a Fedora 9 install, fully upgraded, on a x86_64 platform.

$ rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*
libflashsupport-debuginfo-000-0.5.svn20070904.x86_64
libflashsupport-000-0.5.svn20070904.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
nspluginwrapper-1.1.0-5.fc9.x86_64
nntpgrab-plugins-0.3.3-1.fc9.x86_64
xulrunner-1.9.0.2-1.fc9.x86_64
gstreamer-plugins-base-0.10.19-2.fc9.x86_64
gstreamer-plugins-good-0.10.8-8.fc9.x86_64
gstreamer-plugins-bad-0.10.7-1.lvn9.x86_64
flash-plugin-9.0.124.0-release.i386
java-1.6.0-openjdk-plugin-1.6.0.0-0.18.b09.fc9.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.x86_64
gstreamer-plugins-bad-extras-0.10.7-1.lvn9.x86_64
libflashsupport-000-0.5.svn20070904.x86_64
setroubleshoot-plugins-2.0.4-5.fc9.noarch
nspluginwrapper-1.1.0-5.fc9.i386
firefox-debuginfo-3.0.2-1.fc9.x86_64
gstreamer-plugins-ugly-0.10.8-1.lvn9.x86_64
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.x86_64
firefox-3.0.2-1.fc9.x86_64
nspluginwrapper-debuginfo-1.1.0-5.fc9.x86_64
mozilla-filesystem-1.9-2.fc9.x86_64
xulrunner-debuginfo-1.9.0.2-1.fc9.x86_64
Comment 2 Martin Stransky 2008-10-17 06:43:19 EDT
First of all we need to identify what wrapped plug-in produces those messages and then I can deal with it. So please try to find it out...
Comment 3 Ben Levenson 2008-10-18 01:57:24 EDT
It is flash. I can reproduce it with just flash-plugin installed
Comment 4 Warren Togami 2008-10-18 18:45:08 EDT
Flash 10 with older versions of nspluginwrapper are affected.
Comment 5 RHEL Product and Program Management 2009-03-26 12:52:48 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2010-03-30 03:58:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0187.html

Note You need to log in before you can comment on or make changes to this bug.